- Home
- API Enriched
- Tenant And Identity
- web
- Replace Child Tenant Manager.
Replace Child Tenant Manager.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/child_tenant_managers/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"metadata":{"annotations":{},"description":"example","disable":true,"labels":{},"name":"example","namespace":"example"},"spec":{"banner_message":{"content_html":"example","content_text":"example","time_period":{"end_date":"2026-04-15T12:00:00Z","start_date":"2026-04-15T12:00:00Z"},"title":"example"},"group_assignments":[{"child_tenant_groups":["example"],"group":{"name":"example","namespace":"example"}}],"tenant_owner_group":{"name":"example","namespace":"example"}}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/child_tenant_managers/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "banner_message": { "content_html": "example", "content_text": "example", "time_period": { "end_date": "2026-04-15T12:00:00Z", "start_date": "2026-04-15T12:00:00Z" }, "title": "example" }, "group_assignments": [ { "child_tenant_groups": [ "example" ], "group": { "name": "example", "namespace": "example" } } ], "tenant_owner_group": { "name": "example", "namespace": "example" } } }'Replaces attributes of a child_tenant_manager configuration.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Name The configuration object to be replaced will be looked up by name.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Replace’ RPC.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
object
Exclusive with [content_text] HTML content of the specific notification.
Exclusive with [content_html] Text content of the specific notification.
object
Contains end date
Required: YES.
Contains start date
Required: YES.
Title of the specific notification in plain text. Required: YES.
The Group Mapping field is used to associate local user groups with user groups in child tenants.
The Group Mapping field is used to associate local user groups with user groups in child tenants.
object
List of group names in child tenant. Note - To establish access, child tenant group names must be a subset of child tenant groups configured in tenant profile. Once it’s setup, when user from msp tenant access child tenant, underlying roles from child tenant will be applied to user. Required: YES.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
object
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.
When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.
Examplegenerated
{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "banner_message": { "content_html": "example", "content_text": "example", "time_period": { "end_date": "2026-04-15T12:00:00Z", "start_date": "2026-04-15T12:00:00Z" }, "title": "example" }, "group_assignments": [ { "child_tenant_groups": [ "example" ], "group": { "name": "example", "namespace": "example" } } ], "tenant_owner_group": { "name": "example", "namespace": "example" } }}Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example